Name:           xauth
Epoch:          1
Version:        1.1.2
Release:        %mkrel 1
Summary:        X authority file utility
Group:          Development/X11
Url:            https://xorg.freedesktop.org/
Source:         https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz
License:        MIT

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  x11-util-macros

%description
The xauth program is used to edit and display the authorization information
used in connecting to the X server. This program is usually used to extract
authorization records from one machine and merge them in on another (as is the
case when using remote logins or granting access to other users).

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/*
%{_mandir}/man1/xauth.1*


%changelog
* Tue Apr 26 2022 luigiwalser <luigiwalser> 1:1.1.2-1.mga9
+ Revision: 1854462
- 1.1.2
- update source URL

* Wed Mar 30 2022 umeabot <umeabot> 1:1.1.1-2.mga9
+ Revision: 1835692
- Mageia 9 Mass Rebuild

* Wed Dec 22 2021 wally <wally> 1:1.1.1-1.mga9
+ Revision: 1763272
- new version 1.1.1

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1:1.1-1.mga8
+ Revision: 1651784
- 1.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1:1.0.10-3.mga8
+ Revision: 1518587
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:1.0.10-2.mga7
+ Revision: 1301799
- Mageia 7 Mass Rebuild

* Tue May 23 2017 luigiwalser <luigiwalser> 1:1.0.10-1.mga6
+ Revision: 1104171
- 1.0.10

* Wed Jan 20 2016 daviddavid <daviddavid> 1:1.0.9-4.mga6
+ Revision: 926041
- switch to %%configure2_5x to fix build
- add an URL

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.9-3.mga5
+ Revision: 744722
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.9-2.mga5
+ Revision: 690544
- Mageia 5 Mass Rebuild

* Mon Apr 14 2014 tv <tv> 1:1.0.9-1.mga5
+ Revision: 613944
- new release

* Tue Oct 22 2013 umeabot <umeabot> 1:1.0.8-2.mga4
+ Revision: 541330
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 tv <tv> 1:1.0.8-1.mga4
+ Revision: 495605
- adjust file list
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1:1.0.7-2.mga3
+ Revision: 386528
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 tv <tv> 1:1.0.7-1.mga3
+ Revision: 257373
- new release

* Thu Jun 16 2011 tv <tv> 1:1.0.6-1.mga2
+ Revision: 108352
- new release

* Thu Jan 13 2011 dmorgan <dmorgan> 1:1.0.5-1.mga1
+ Revision: 7870
- imported package xauth


* Fri Sep 24 2010 Thierry Vignaud <tv@mandriva.org> 1:1.0.5-1mdv2011.0
+ Revision: 580822
- new release

* Fri Nov 13 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1:1.0.4-2mdv2010.1
+ Revision: 465826
- Obsolete xorg-x11-xauth

* Fri Sep 25 2009 Thierry Vignaud <tv@mandriva.org> 1:1.0.4-1mdv2010.0
+ Revision: 448829
- drop patch 0 (uneeded)
- new release

* Sat Mar 07 2009 Michael Scherer <misc@mandriva.org> 1:1.0.3-3mdv2009.1
+ Revision: 351515
- fix format error patch

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1:1.0.3-2mdv2009.0
+ Revision: 266075
- rebuild early 2009.0 package (before pixel changes)

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1:1.0.3-1mdv2009.0
+ Revision: 192979
- new release

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:1.0.2-3mdv2008.1
+ Revision: 166447
- Revert to use upstream tarball, build requires and remove non mandatory local patches.
- Updated BuildRequires and resubmit package.

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1:1.0.2-1mdv2008.1
+ Revision: 129822
- kill re-definition of %%buildroot on Pixel's request


* Thu Dec 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-1mdv2007.0
+ Revision: 97062
- new release

* Tue Sep 19 2006 Pixel <pixel@mandriva.com> 1:1.0.1-7mdv2007.0
+ Revision: 61934
- do not provide nor obsolete xorg-x11-xauth which is still a package in 2007.0
- conflicts with old mkxauth which were requiring /usr/X11R6/bin/xauth

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - incrementing release
    - this epoch is needed to fix the update
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fill in more missing descriptions

